QwtPickerDragPointMachine(3)

NAME
QwtPickerDragPointMachine -

A state machine for point selections.

SYNOPSIS

#include <qwt_picker_machine.h>

Inherits QwtPickerMachine.

  Public Member Functions

virtual CommandList transition (const QwtEventPattern &, const QEvent *)

Detailed Description

A state machine for point selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 starts the selection, releasing QwtEventPattern::MouseSelect1 or a second press of QwtEventPattern::KeySelect1 terminates it.

Member Function Documentation

  QwtPickerMachine::CommandList QwtPickerDragPointMachine::transition (const QwtEventPattern & eventPattern, const QEvent * e) [virtual]

Transition.

Implements QwtPickerMachine.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.